<?php 
class VstInfo{
	
	protected $_elementos;
	
	
	public function __construct(){
		
	}
	
	public function addElement($etiqueta, $valor){
		if (!$valor)
			$valor='&nbsp;';
		$this->_elementos[] = array('label'=> $etiqueta, 'valor'=> $valor);
	}
	
	public function render(){
		$salida = '<dl class="dl-horizontal">';
		foreach ($this->_elementos as $elemento){
			$salida .= '<dt>'.$elemento['label'].'</dt><dd>'.$elemento['valor'].'</dd>';
		}
		$salida .= '</dl>';
		return $salida;
	}
	
	public function __toString(){
		return $this->render();
	}
}